com.microfocus.awm.model

## Interface IToolOutputReader

-     public interface IToolOutputReader

  Tool output readers are required by AWM tools which are capable of executing batch jobs. They are used for "after job actions" which are executed on a finished `ITaurusJob`. The output reader processes the job's result as regular tools do during `IToolExecutor.execTool(IExecutionContext, ToolDescriptor, String, IProgressMonitor)` .
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolExecutionStatus` | `parseToolOutput(ToolDescriptor pTool, java.util.List<java.lang.String> pToolOutput, IExecutionContext pContext, java.lang.String pTauPrefix, org.eclipse.core.runtime.IProgressMonitor pMon)` Parses a tools output and returns a ToolExecutionStatus, which contains the tools output parameters.

- - ### Method Detail

    - #### parseToolOutput

          ToolExecutionStatus parseToolOutput(ToolDescriptor pTool,
                                              java.util.List<java.lang.String> pToolOutput,
                                              IExecutionContext pContext,
                                              java.lang.String pTauPrefix,
                                              org.eclipse.core.runtime.IProgressMonitor pMon)
                                       throws TaurusToolException

      Parses a tools output and returns a ToolExecutionStatus, which contains the tools output parameters.
      Parameters:
        `pTool` - The ToolDescriptor, which output should be read.
        `pToolOutput` - The Output of the Tool which should be read.
        `pContext` - The ExecutionContext of the tools execution.
        `pTauPrefix` - The prefix which is used in the tool output (like "TAUTOUT: " in tool TAUTOIF) or `null` if no prefix was used.
        `pMon` - A progress monitor
      Returns:
        the `ToolExecutionStatus` of the executed tool
      Throws:
        `TaurusToolException` - if the parameter class is not supported by the implementation.

Copyright © 2015 Micro Focus GmbH. All rights reserved.